[Rubygems-developers] 'nodoc' errors -- may be nothing...

Chad Fowler chad at chadfowler.com
Fri Mar 11 16:54:58 EST 2005


On 11-Mar-05, at 11:27 AM, Hugh Sasse Staff Elec Eng wrote:

> Should I be the least bit concerned about messages like:
>
> brains# gem install -r log4r
> Attempting remote installation of 'log4r'
> Updating Gem source index for: http://gems.rubyforge.org
> Successfully installed log4r, version 1.0.5
> Installing RDoc documentation for log4r-1.0.5-...
>
> src/log4r/config.rb:4:0: Unrecognized directive 'nodoc'
>
> src/log4r/base.rb:2:7: Unrecognized directive 'nodoc'
>
> src/log4r/logevent.rb:2:6: Unrecognized directive 'nodoc'
>
> src/log4r/loggerfactory.rb:4:0: Unrecognized directive 'nodoc'
>
> src/log4r/repository.rb:4:0: Unrecognized directive 'nodoc'
>
> src/log4r/staticlogger.rb:2:6: Unrecognized directive 'nodoc'
>
>
> and plenty more the same?  I confident that it doesn't matter, but
> thought I'd raise it in case it has significance for someone.
>
> This occurred with rubygems-0.8.4 and after I tried with
> rubygems-0.8.6, if that helps
>
>

Hugh, if you run rdoc directly against your installed log4r source, 
you'll see that you get the same errors.  The errors are being reported 
by RDoc and not by RubyGems.  I'm not sure what causes them, but it 
would be best to ask Dave, probably.

Chad



More information about the Rubygems-developers mailing list